Subject: devuan-installer: amd64 ISO images have only grub-efi-ia32 packages

From: Olaf Meeuwissen <[email-masked]>
Date: Sun, 22 Mar 2020 18:12:12 +0900

Package: devuan-installer
Severity: normal

Dear Maintainer,

While trying to do an air-gapped install on UEFI hardware, the GRUB
installation failed.  Checking the logs, I noticed the installer was
trying to install grub-efi-amd64 but this package was not included in
the netinstall and server ISO images (from 20200313).  The ISO images
did include grub-efi-ia32 though.

When installing with a network connection, the required package will be
pulled from a remote APT repository so you won't notice the problem.

I used the

  Devuan GNU/Linux 3.0 (beowulf) amd64 - netinstall 20200313

ISO image on an HP ZBook Studio G3 when this happened.

I've checked the package pools on both netinstall and server ISO images
for amd64 but neither has grub-efi-amd64 packages.  I have not checked
any other ISO images.

-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join